org.apache.fop.svg

## Class GraphicsConfiguration

- java.lang.Object
- - java.awt.GraphicsConfiguration
  - - org.apache.fop.svg.GraphicsConfiguration

-     public abstract class GraphicsConfiguration
      extends java.awt.GraphicsConfiguration

  Adapter to allow subclassing java.awt.GraphicsConfiguration without compilation errors. The version for JDK 1.4 needs to add an override for the abstract createCompatibleVolatileImage() method. It can't be overidden for JDK 1.3 because there is no VolatileImage there.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphicsConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.image.VolatileImage` | `createCompatibleVolatileImage(int width, int height)`
    `java.awt.image.VolatileImage` | `createCompatibleVolatileImage(int width, int height, int transparency)`

    - ### Methods inherited from class java.awt.GraphicsConfiguration

      `createCompatibleImage, createCompatibleImage, createCompatibleVolatileImage, createCompatibleVolatileImage, getBounds, getBufferCapabilities, getColorModel, getColorModel, getDefaultTransform, getDevice, getImageCapabilities, getNormalizingTransform, isTranslucencyCapable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphicsConfiguration

          public GraphicsConfiguration()

  - ### Method Detail

    - #### createCompatibleVolatileImage

          public java.awt.image.VolatileImage createCompatibleVolatileImage(int width,
                                                                            int height)

      Overrides:
        `createCompatibleVolatileImage` in class `java.awt.GraphicsConfiguration`
      Parameters:
        `width` - of image
        `height` - of image
      Returns:
        new volatile image
      Since:
        JDK 1.4
      See Also:
        `GraphicsConfiguration.createCompatibleVolatileImage(int, int)`

    - #### createCompatibleVolatileImage

          public java.awt.image.VolatileImage createCompatibleVolatileImage(int width,
                                                                            int height,
                                                                            int transparency)

      Overrides:
        `createCompatibleVolatileImage` in class `java.awt.GraphicsConfiguration`
      Parameters:
        `width` - of image
        `height` - of image
        `transparency` - of image
      Returns:
        new volatile image
      Since:
        JDK 1.5
      See Also:
        `GraphicsConfiguration.createCompatibleVolatileImage(int, int, int)`

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.